#
# spec file for package obs-service-format_spec_file
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           obs-service-format_spec_file
Version:        20170204
Release:        3.1
Summary:        An OBS source service: reformats a spec file to SUSE standard
License:        GPL-2.0
Group:          Development/Tools/Building
Url:            https://github.com/openSUSE/obs-service-format_spec_file
# osc service dr
Source:         %{name}-%{version}.tar.bz2
Patch0:         readd-exceptions.patch
Requires:       obs-service-source_validator
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

This source service is formating the spec file to SUSE standard. The rational
behind is to make it easier to review spec files from unknown packagers.

This should be used in "trylocal" mode, so that osc is adapting the existing
spec file instead of creating a new one.

%prep

%setup
%patch0 -p1

%build

%install
%makeinstall

%check
perl prepare_spec %_topdir/SOURCES/%name.spec

%files
%defattr(-,root,root)
%doc COPYING
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Sat Feb  4 2017 coolo@suse.com
- update licenes (from git)
* Thu Sep 29 2016 ro@suse.de
- Handle needssslcertforbuild directive
- Handle empty output directory
- Improve the license and group comments handling
* Wed Aug 24 2016 rpm@fthiessen.de
- Update to 20160406
  * Update licenses
  * Fetch SPDX license exceptions (bsc#973404)
* Tue Feb  2 2016 coolo@suse.com
- update licenses
* Fri Sep  4 2015 coolo@suse.com
- update licenses
- silence warnings in perl 5.22
* Thu Jul 16 2015 coolo@suse.com
- update licenses
- add readd-exceptions.patch to readd licenses we use
* Tue Jun 23 2015 hib@hiberis.nl
- Fix build for Debian 7.0/8.0
- Use install target from Makefile
* Wed Jan 21 2015 coolo@suse.com
- change company name
* Mon Nov  3 2014 coolo@suse.com
- remove PKGBUILD as it makes factory submissions impossible
* Thu Oct 30 2014 coolo@suse.com
- one more license from ciaran
* Mon Aug 25 2014 coolo@suse.com
- updated to SPDX License List v1.20
- cleaned up the SUSE specific list and moved to tar_scm service
* Thu Aug 14 2014 ro@suse.de
- do not enter empty license line if not found (eg in include file)
* Wed Aug 13 2014 ro@suse.de
- update prepare_spec from git to fix (bnc#891152)
* Thu Jul 31 2014 ro@suse.de
- update prepare_spec from git to fix (bnc#889537)
* Thu Jul 10 2014 coolo@suse.com
- update licenses
* Thu Apr 10 2014 coolo@suse.com
- fetched new licenses
* Tue Feb 11 2014 coolo@suse.com
- update licenses
* Thu Feb  6 2014 coolo@suse.com
- update licenses
* Tue Jan 28 2014 coolo@suse.com
- add Unicode from spreadsheet
* Mon Jan 27 2014 coolo@suse.com
- update licenses
* Mon Dec  9 2013 coolo@suse.com
- update licenses
* Tue Jun 18 2013 coolo@suse.com
- add SUSE-GitSlave
* Wed Apr 24 2013 coolo@suse.com
- adding SUSE-Permissive-Modify-By-Patch
* Fri Apr 19 2013 coolo@suse.com
- adding SUSE-Beerware
* Fri Mar  8 2013 coolo@suse.com
- add SUSE-BSD-Mark-Modifications for aspell
* Sun Feb 17 2013 coolo@suse.com
- update fetch-licenses and bump version
* Fri Feb  1 2013 coolo@suse.com
- add a + version for all SUSE licenses
* Fri Jan 25 2013 coolo@suse.com
- official fix for the X11 license
* Fri Jan 25 2013 adrian@suse.de
- drop double definition of X11 license
- add basic self check on building package
* Thu Jan 24 2013 coolo@suse.com
- more licenses
* Wed Nov  7 2012 coolo@suse.com
- one more license
* Wed Oct 24 2012 coolo@suse.com
- more licenses
* Mon Oct  8 2012 coolo@suse.com
- remove SUSE- prefix for licenses that only have a +
* Mon Oct  8 2012 coolo@suse.com
- fix duplicate for Artistic-1.0+
* Sat Oct  6 2012 coolo@suse.com
- allow a + variant for all spdx licenses
* Tue Sep 25 2012 coolo@suse.com
- even more licenses
* Thu Sep 20 2012 coolo@suse.com
- one more license
* Thu Sep 13 2012 coolo@suse.com
- replace ; with and in license tag
* Mon Sep  3 2012 coolo@suse.com
- update licenses
* Wed Jun 20 2012 coolo@suse.com
- updated licenses
* Tue May 29 2012 adrian@suse.de
- do not break require lines using %%() macros
* Fri May 11 2012 coolo@suse.com
- licenses update
* Thu Apr 19 2012 coolo@suse.com
- licenses update
* Tue Apr  3 2012 coolo@suse.com
- licenses update
* Thu Mar 29 2012 coolo@suse.com
- licenses update
* Tue Mar 27 2012 coolo@suse.com
- licenses update
* Wed Mar 21 2012 coolo@suse.com
- licenses update
* Fri Mar  9 2012 coolo@suse.com
- licenses update
* Mon Feb 27 2012 saschpe@suse.de
- avoid breaking shell expansions
* Fri Feb 24 2012 coolo@suse.com
- don't stop sorting at empty lines in %%description
- fix indenting of the script
* Mon Feb 20 2012 coolo@suse.com
- fix sorting of tag lines that are not on the beginning of the file
* Mon Feb 20 2012 coolo@suse.com
- not only break buildrequires per (sorted) line, but also
  Requires and Provides
* Tue Feb 14 2012 coolo@suse.com
- even more legal updates
* Thu Feb  9 2012 coolo@suse.com
- even more legal updates
* Thu Feb  9 2012 coolo@suse.com
- fix the whitespace after the preamble
* Mon Feb  6 2012 coolo@suse.com
- one more update for php-2.0 and osl-1.1
* Sat Feb  4 2012 adrian@suse.de
- handle failing prepare_spec when $OUTDIR=$PWD correct
* Fri Feb  3 2012 coolo@suse.com
- fix php license
* Wed Jan 25 2012 coolo@suse.com
- another update from license list
* Thu Jan 19 2012 coolo@suse.com
- confirm license
* Thu Jan 19 2012 coolo@suse.com
- update list of licenses as legal team found new cases
* Mon Dec 19 2011 coolo@suse.com
- put groups in subpackages unconditionally to leave sle11 support
  intact
* Thu Dec 15 2011 coolo@suse.com
- more licenses for SUSE-*
* Mon Dec 12 2011 coolo@suse.com
- preserve release tag if it's more than a number
* Wed Dec  7 2011 coolo@suse.com
- move pkgconfig() and co to the end of the buildrequires
* Wed Dec  7 2011 coolo@suse.com
- another update from git to replace way more licenses (0.4)
* Tue Dec  6 2011 coolo@suse.com
- update from https://github.com/openSUSE/obs-service-format_spec_file
* Thu Dec  1 2011 adrian@suse.de
- allow to specify a defined spec file (version 0.2)
* Wed Sep  7 2011 dmueller@suse.de
- remove %%%%debug_package insertion
* Mon Aug  8 2011 ro@suse.com
- more work on disabled subpackages, port from internal
  prepare_spec
* Mon Aug  1 2011 ro@suse.de
- try to keep summary and group for cases like openldap2
  (bnc#624980)
* Mon Jul  4 2011 ro@suse.de
- fix empty line handling (multiple subsequent empty lines)
* Sun Jul  3 2011 ro@suse.de
- leave Version lines intact (fix issue with multiple version
  lines in a package, for example in if-constructs)
* Fri Jun 17 2011 coolo@novell.com
- do not replace licenses without knowing them (not sure this
  is necessary at all)
* Tue May 31 2011 adrian@suse.de
- do not fail on kiwi packages
* Wed May 25 2011 adrian@suse.de
- do not generate new spec files when no changes happened
* Wed May 25 2011 ro@suse.de
- fix uninitialized warning in prepare_spec
* Tue May  3 2011 ro@suse.de
- cleanup prepare_spec, drop Needed.pm
- make it ready for public usage
* Wed Jan 26 2011 adrian@suse.de
- initial version.
  not usable outside of SUSE network yet.
